import { Verify } from '@/utils/verify/verify';


/**
 * 下单
 *
 * @export
 * @class XDLogicBase
 */
export default class XDLogicBase {

    /**
     * 名称
     * 
     * @memberof  XDLogicBase
     */
    private name:string ="XD";

    /**
     * 唯一标识
     * 
     * @memberof  XDLogicBase
     */
    private id:string = "ACDDC51E-15B7-4939-BF9A-F8AFF9CACEE6";

    /**
     * 默认参数名称
     * 
     * @memberof  XDLogicBase
     */
    private defaultParamName:string = "Default";

    /**
     * Creates an instance of  XDLogicBase.
     * 
     * @param {*} [opts={}]
     * @memberof  XDLogicBase
     */
    constructor(opts: any = {}) {
        
    }


    /**
     * 计算0节点结果
     * 
     * @param params 传入参数
     */
    public compute0Cond(params:any):boolean{
        return true;
    }

    /**
     * 执行逻辑
     * 
     * @param context 应用上下文
     * @param params 传入参数
     */
    public onExecute(context:any,params:any,isloading:boolean){
        return this.executeBegin(context,params,isloading);
    }


    /**
    * 开始
    * 
    * @param params 传入参数
    */
    private async executeBegin(context:any,params:any,isloading:boolean){
        //开始节点
        if(this.compute0Cond(params)){
            return this.executeDeaction1(context,params,isloading);   
        }
    }

    /**
    * HEALTHCHECK
    * 
    * @param context 应用上下文
    * @param params 传入参数
    */
    private async executeDeaction1(context:any,params:any,isloading:boolean){
        // 行为处理节点
    }


}